Page MenuHomePhabricator

Fixes help message for stop command
ClosedPublic

Authored by rabahmeradi on Jul 17 2016, 12:57 PM.

Details

Test Plan

arc help stop will display 'Stop tracking work...'

Diff Detail

Repository
rARC Arcanist
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rabahmeradi retitled this revision from to Ref master Fixes help message for stop command.Jul 17 2016, 12:57 PM
rabahmeradi updated this object.
rabahmeradi edited the test plan for this revision. (Show Details)
rabahmeradi updated this revision to Diff 39225.
rabahmeradi retitled this revision from Ref master Fixes help message for stop command to Fixes help message for stop command.Jul 17 2016, 12:58 PM
rabahmeradi edited edge metadata.

I can't fix the commit message :

[2016-07-17 13:06:07] EXCEPTION: (ArcanistDifferentialCommitMessageParserException) Error parsing field "Reviewers": The objects you have listed include objects which do not exist (Spies:). at [<arcanist>/src/differential  /ArcanistDifferentialCommitMessage.php:54]
arcanist(head=master, ref.master=4eb952277950), phutil(head=master, ref.master=ff84abc7d857)
#0 ArcanistDifferentialCommitMessage::pullDataFromConduit(ConduitClient) called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:1795]
#1 ArcanistDiffWorkflow::getCommitMessageFromRevision(string) called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:1527]
#2 ArcanistDiffWorkflow::buildCommitMessage() called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:469]
#3 ArcanistDiffWorkflow::run() called at [<arcanist>/scripts/arcanist.php:394]
chad added a subscriber: chad.Jul 17 2016, 3:08 PM

Try using English (US) when submitting diffs. See T11319

In D16310#190715, @chad wrote:

Try using English (US) when submitting diffs. See T11319

How can I do that? I used the arc of the repository. I can't use my global install of arc. I get the error:

Usage Exception: You are trying to run one copy of Arcanist on another copy of Arcanist. This operation is not supported. To execute Arcanist operations against this working copy, run `./bin/arc` (from the current working copy) not some other copy of 'arc' (you ran one from '/usr/share/arcanist').
chad added a comment.Jul 17 2016, 5:21 PM

I presume since the error is related to using pirate English, that you set your language on this install to pirate English. I can't think of any other way "spies" is appearing in your commit message. You can also just remove "spies:"

Fixed the commit's message

avivey added a subscriber: avivey.Jul 17 2016, 6:34 PM

This instance currently defaults to Pirate translation...

Haha, I changed it to English (US).

epriestley accepted this revision.
This revision is now accepted and ready to land.Jul 27 2016, 12:41 PM
This revision was automatically updated to reflect the committed changes.